## mesa 8.0.5

=== Makefile ===
--- 
+++ 
@@ -184,7 +184,7 @@
 
 # Rules for making release tarballs
 
-PACKAGE_VERSION=8.0.4
+PACKAGE_VERSION=8.0.5
 PACKAGE_DIR = Mesa-$(PACKAGE_VERSION)
 PACKAGE_NAME = MesaLib-$(PACKAGE_VERSION)
