=== debian/changelog ===
mesa (8.999+git20120919.6bd11bc9-0+zlt1) experimental; urgency=low

  * Non-maintainer upload.
  * build from git master 6bd11bc9
  * debian/source/format: 3.0 (quilt)
  * debian/patches:
    - 000_debian-changes.patch: add pre 3.0 (quilt) modified upstream files
    - refresh or disable others
  * debian/rules:
    - clean: don't symlink as install-sh
  * move glu into src:mesa-glu package

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Thu, 20 Sep 2012 01:17:09 +0400

mesa (8.0.4-2) unstable; urgency=high

  * Use xz for all binary packages not just *-dbg.
  * glsl/linker: Avoid buffer over-run in
    parcel_out_uniform_storage::visit_field (CVE-2012-2864; closes: #685667).

 -- Julien Cristau <jcristau@debian.org>  Fri, 24 Aug 2012 00:09:47 +0200

mesa (8.0.4-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream stable release (Closes: #682703).
  * Cherry-pick commit fbf86c7f0f (i965/gen7: Reduce GT1 WM thread count
    according to updated BSpec.) from upstream.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 29 Jul 2012 13:17:06 +0200

mesa (8.0.3-1) unstable; urgency=low

  [ Robert Hooker ]
  * New upstream stable release (Closes: #673532)
  * Refresh patches.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 13 Jun 2012 14:58:54 +0200

mesa (8.0.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 01 May 2012 21:42:35 +0200

mesa (8.0.2-1) experimental; urgency=low

  [ Timo Aaltonen ]
  * New upstream bugfix release. (LP: #926379)
  * control: libegl1-mesa-dev should depend on -drivers so that the
    symlinks work.

  [ Robert Hooker ]
  * Add libudev-dev to libgbm-dev dependencies.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 29 Apr 2012 15:51:10 +0200

mesa (8.0-2) experimental; urgency=low

  [ Julien Cristau ]
  * Only build the radeon, r200, i915 and i965 dri drivers on Linux.  They
    require KMS.

  [ Cyril Brulebois ]
  * Fix FTBFS on GNU/kFreeBSD with libgl1-mesa-dri.install.kfreebsd.in:
    there's no *_dri.so file left in the top directory, only swrast is
    built and shipped under gallium/. So mention it explicitly, in the
    same way as it is done in the libgl1-mesa-dri.install.linux.in file.
  * Enable wayland support again, but only on Linux. Wayland needs some
    porting (it uses *CLOEXEC flags and epoll). For that, add those files
    since EGL packages are also shipped on GNU/kFreeBSD, and we need to
    add a few files for Wayland, but only for Linux:
    - libegl1-mesa-dev.install.linux.in
    - libegl1-mesa-drivers.install.linux.in
  * Limit the wl_drm_interface symbol to arch=linux-any accordingly,
    and bump the version.
  * Limit the build-dependency on libwayland-dev to linux-any too, and
    bump it.
  * Automatically revert changes to bin/{config.{guess,sub},install-sh} in
    the clean target. The first two are modified, the last one needs to be
    turned back into a symlink.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 14 Feb 2012 16:18:14 +0100

mesa (8.0-1) experimental; urgency=low

  [ Cyril Brulebois ]
  * New upstream release.
  * Disable patch temporarily (needs a refresh):
    - 11-hurd-ftbfs-again.diff
  * Drop patch, no longer needed since swrastg was renamed to swrast:
    - 14-load-swrastg-before-swrast.diff
  * Update rules file to strop building DRI1 drivers, they went away
    with the following upstream commit:
    - dri: Remove all DRI1 drivers (e4344161bd).
  * Update not-installed for removed files.
  * Stop trying to ship swrastg through libgl1-mesa-dri-experimental,
    it replaced the non-gallium variant.

  [ Timo Aaltonen ]
  * Refresh patches.
  * control: Add libxcb-glx0-dev to build-depends.
  * control: Drop libglw1-mesa, libglw1-mesa-dev, glw got moved to a
    separate source package.
  * libegl-mesa.symbols, libgles2-mesa.symbols: Add new symbols.
  * rules: Drop obsolete configure options.
  * Enable vmwgfx gallium driver & xatracker. (Closes: #652501).
  * Build llvmpipe swrast only on non-hurd x86, traditional for the
    rest.
  * rules: No need to copy nouveau_vieux to the gallium dir, it's
    installed in libgl1-mesa-dri now.
  * rules: Handle installing r300_dri.so like other gallium drivers,
    in libgl1-mesa-dri.install.linux.in.

  [ Robert Hooker ]
  * Bump libdrm build dep to 2.4.30, x11proto-gl-dev to 1.4.14, and
    x11proto-dri2-dev to 2.6.
  * Add libxatracker packaging.
  * Add libxcb-glx0-dev to libegl1-mesa-dev depends.

  [ Christopher James Halse Rogers ]
  * debian/control: Add libx11-xcb-dev to libegl1-mesa-dev depends.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 10 Feb 2012 14:02:04 +0100

mesa (7.11.2-1) unstable; urgency=low

  * New upstream release:
    - Fix a few intel bugs.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 11 Dec 2011 15:43:40 +0100

mesa (7.11.1-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream release.
  * Move the Nouveau drivers to the libgl1-mesa-dri package
    (Closes: #645239).
  * Install the swrastg driver in the libgl1-mesa-dri-experimental package
    (Closes: #605444).
    - New patch 14-load-swrastg-before-swrast.diff to prefer swrastg over
      swrast.
    - Build-depend on llvm-2.9-dev also on kfreebsd-{amd64,i386}.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 27 Nov 2011 18:54:24 +0100

mesa (7.11-6) unstable; urgency=low

  [ Julien Cristau ]
  * Inline what's left of debian/scripts/choose-configs in debian/rules.
  * Enable texture-float for dri (closes: #635651).
  * Update from upstream's 7.11 branch (commit e7794048)
  * Merge changes from 7.10.3-4, including:
    - Fix comments in libegl1-mesa.symbols to avoid impending FTBFS with the
      upcoming dpkg-dev 1.16.1 (closes: #642690)

  [ Cyril Brulebois ]
  * Document the symlink dance in README.source.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 24 Sep 2011 20:32:55 +0200

mesa (7.11-5) unstable; urgency=low

  * Merge patch from Pino Tiscano (thanks!):
    - Use hurd-any instead of: hurd-i386 (“wildcard archs are free”).

