=== debian/control ===
Source: mesa
Section: graphics
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Cyril Brulebois <kibi@debian.org>
Standards-Version: 3.8.4
Build-Depends:
 debhelper (>= 8.1.3),
 quilt (>= 0.40),
 pkg-config,
 libdrm-dev (>= 2.4.30) [!hurd-any],
 libx11-dev,
 xutils-dev,
 x11proto-gl-dev (>= 1.4.14),
 libxxf86vm-dev,
 libexpat1-dev,
 dpkg-dev (>= 1.15.6),
 libxfixes-dev,
 libxdamage-dev,
 libxext-dev,
 autoconf,
 automake,
 x11proto-dri2-dev (>= 2.6),
 linux-libc-dev (>= 2.6.31) [linux-any],
 libx11-xcb-dev,
 libxcb-dri2-0-dev,
 libxcb-glx0-dev,
 libxcb-xfixes0-dev,
 python-libxml2,
 libudev-dev [linux-any],
 flex,
 bison,
 llvm-2.9-dev [amd64 i386 kfreebsd-amd64 kfreebsd-i386],
 libwayland-dev (>= 0.85.0) [linux-any],
Vcs-Git: git://git.debian.org/git/pkg-xorg/lib/mesa
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/lib/mesa.git
Homepage: http://mesa3d.sourceforge.net/

Package: libgl1-mesa-swx11
Section: libs
Priority: extra
Architecture: any
Depends:
 libosmesa6 (>= 6.5.2-1),
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts: mesag3-glide, mesag3-glide2, mesag3+ggi, libgl1, nvidia-glx, mesag3, libgl1-mesa-swrast
Provides: libgl1, mesag3, libgl1-mesa-swrast
Replaces: libgl1, mesag3, libgl1-mesa-swrast
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the OpenGL API -- runtime
 Mesa is a 3-D graphics library with an API which is very similar to
 that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
 syntax or state machine, it is being used with authorization from
 Silicon Graphics, Inc.  However, the author makes no claim that Mesa
 is in any way a compatible replacement for OpenGL or associated with
 Silicon Graphics, Inc.
 .
 This library provides a pure software rasteriser; it does not provide
 a direct rendering-capable library, or one which uses GLX.  For that,
 please see libgl1-mesa-glx.
 .
 On Linux, this library is also known as libGL or libGL.so.1.

Package: libgl1-mesa-swx11-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libgl1-mesa-swx11 (= ${binary:Version}),
 ${misc:Depends},
Conflicts: libgl1-mesa-swrast-dbg
Provides: libgl1-mesa-swrast-dbg
Replaces: libgl1-mesa-swrast-dbg
Multi-Arch: same
Description: free implementation of the OpenGL API -- debugging symbols
 Mesa is a 3-D graphics library with an API which is very similar to
 that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
 syntax or state machine, it is being used with authorization from
 Silicon Graphics, Inc.  However, the author makes no claim that Mesa
 is in any way a compatible replacement for OpenGL or associated with
 Silicon Graphics, Inc.
 .
 This library provides a pure software rasteriser; it does not provide
 a direct rendering-capable library, or one which uses GLX.  For that,
 please see libgl1-mesa-glx.
 .
 On Linux, this library is also known as libGL or libGL.so.1.
 .
 This package contains debugging symbols for the software rasterization GL
 library.

Package: libgl1-mesa-swx11-i686
Section: libs
Priority: extra
Architecture: any-i386
Depends:
 libgl1-mesa-swx11 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Mesa OpenGL runtime [i686 optimized]
 Mesa is a 3-D graphics library with an API which is very similar to
 that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
 syntax or state machine, it is being used with authorization from
 Silicon Graphics, Inc.  However, the author makes no claim that Mesa
 is in any way a compatible replacement for OpenGL or associated with
 Silicon Graphics, Inc.
 .
 This library provides a pure software rasteriser; it does not provide
 a direct rendering-capable library, or one which uses GLX.  For that,
 please see libgl1-mesa-glx.
 .
 On Linux, this library is also known as libGL or libGL.so.1.
 .
 This set of libraries is optimized for i686 machines and will only be used if
 you are running a 2.6 kernel on an i686 class CPU. This includes Pentium Pro,
 Pentium II/II/IV, Celeron CPU's and similar class CPU's (including clones
 such as AMD Athlon/Opteron, VIA C3 Nehemiah, but not VIA C3 Ezla).

Package: libgl1-mesa-swx11-dev
Section: libdevel
Priority: extra
Architecture: any
Depends:
 libgl1-mesa-swx11 (= ${binary:Version}),
 libx11-dev,
 libxext6,
 mesa-common-dev (= ${binary:Version}),
 ${misc:Depends},
Provides: libgl-dev, mesag-dev, libgl1-mesa-swrast-dev
Conflicts: mesa-dev, libgl-dev, mesag3 (<< 3.1-1), nvidia-glx-dev, mesag-dev, libgl1-mesa-swrast-dev
Replaces: libgl-dev, mesag-dev, libgl1-mesa-swrast-dev
Description: free implementation of the OpenGL API -- development files
 This package provides the development environment required for
 compiling programs with Mesa.  For a complete description of Mesa,
 please look at the libgl1-mesa-swx11 package.
 .
 This library provides a pure software rasteriser; it does not provide
 a direct rendering-capable library, or one which uses GLX.  For that,
 please see libgl1-mesa-dev.

Package: libxatracker1
Section: libs
Architecture: linux-any 
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: X acceleration library -- runtime
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.

Package: libxatracker1-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends:
 libxatracker1 (= ${binary:Version}),
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: X acceleration library -- debugging symbols
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.
 .
 This package contains the debugging symbols for the xatracker library.

Package: libxatracker-dev
Section: libdevel
Architecture: linux-any
Depends:
 libxatracker1 (= ${binary:Version}),
 ${misc:Depends},
Description: X acceleration library -- development files
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.
 .
 This package provides the development environment for compiling programs
 against the xatracker library.

Package: libgbm1
Section: libs
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: generic buffer management API -- runtime
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.

Package: libgbm1-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends:
 libgbm1 (= ${binary:Version}),
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: generic buffer management API -- debugging symbols
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.
 .
 This package contains the debugging symbols for the GBM library.

Package: libgbm-dev
Section: libdevel
Architecture: linux-any
Depends:
 libgbm1 (= ${binary:Version}),
 libudev-dev,
 ${misc:Depends},
Description: generic buffer management API -- development files
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.
 .
 This package provides the development environment for compiling programs
 against the GBM library.

Package: libegl1-mesa
Section: libs
Architecture: linux-any kfreebsd-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: libegl1-mesa-drivers
Provides: libegl1-x11
Conflicts: libegl1-x11
Replaces: libegl1-x11
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the EGL API -- runtime
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES and OpenVG.
 .
 This package contains modules to interface with the existing system GLX or
 DRI2 drivers to provide OpenGL via EGL.  The libegl1-mesa-drivers package
 provides drivers to provide hardware-accelerated OpenGL|ES and OpenVG support.

Package: libegl1-mesa-dbg
Section: debug
Priority: extra
Architecture: linux-any kfreebsd-any
Depends:
 libegl1-mesa (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: free implementation of the EGL API -- debugging symbols
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES and OpenVG.
 .
 This package contains the debugging symbols for the EGL library.

Package: libegl1-mesa-dev
Section: libdevel
Architecture: linux-any kfreebsd-any
Depends:
 libegl1-mesa (= ${binary:Version}),
 libegl1-mesa-drivers (= ${binary:Version}),
 libdrm-dev (>= 2.4.19) [!hurd-any],
 x11proto-dri2-dev (>= 2.1),
 x11proto-gl-dev (>= 1.4.11),
 libx11-dev,
 libxext-dev,
 libxxf86vm-dev,
 libxdamage-dev,
 libxfixes-dev,
 libxcb-glx0-dev,
 libx11-xcb-dev,
 ${misc:Depends},
Description: free implementation of the EGL API -- development files
 This package contains the development environment required for compiling
 programs against EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES and OpenVG.
 .
 This package provides the development environment for compiling programs
 against the EGL library.

Package: libegl1-mesa-drivers
Section: libs
Architecture: linux-any kfreebsd-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libegl1-mesa (= ${binary:Version}),
 libglapi-mesa (= ${binary:Version}),
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the EGL API -- hardware drivers
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES and OpenVG.
 .
 This package contains the drivers required for hardware accelerated rendering
 of EGL-based graphics libraries, such as OpenGL|ES and OpenVG.

Package: libegl1-mesa-drivers-dbg
Section: debug
Priority: extra
Architecture: linux-any kfreebsd-any
Depends:
 libegl1-mesa-drivers (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: free implementation of the EGL API -- driver debugging symbols
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES and OpenVG.
 .
 This package contains the debugging symbols for the drivers required for
 hardware accelerated rendering of EGL-based graphics libraries.

Package: libopenvg1-mesa
Section: libs
Architecture: linux-any kfreebsd-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Provides: libopenvg1
Conflicts: libopenvg1
Replaces: libopenvg1
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the OpenVG API -- runtime
 This package contains the mesa implementation of the OpenVG 2D acceleration
